/*******************************************************************************
 * Copyright 2018 fmCreation
 *
 * Licensed under the EUPL, Version 1.1 or - as soon they
 * will be approved by the European Commission - subsequent
 * versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the
 * Licence.
 * You may obtain a copy of the Licence at:
 *
 *    https://progs.frankmuenster.de/eupl_v1-2_en/
 *
 * Unless required by applicable law or agreed to in
 * writing, software distributed under the Licence is
 * distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
 * express or implied.
 * See the Licence for the specific language governing
 * permissions and limitations under the Licence.
 ******************************************************************************/

package de.frankmuenster.jameica.depot.kursanalyse.dialog;

import de.willuhn.jameica.gui.dialogs.AbstractDialog;

/**
 * Abstrakte Klasse f&uuml;r einen Parameter-Dialog.
 *
 * @author Frank Mnster
 * @param <P>
 */
public abstract class AbstractAddAnalyseDialog<P> extends AbstractDialog<Object> {

    /**
     * Konstruktor mit Angabe der Position.
     *
     * @param position
     */
    public AbstractAddAnalyseDialog(final int position) {
        super(position);
    }

    /**
     * Konstruktor mit Angabe der Position und der
     * Gr&ouml;&szlig;en&auml;nderung.
     *
     * @param position
     * @param resizable
     */
    public AbstractAddAnalyseDialog(final int position, final boolean resizable) {
        super(position, resizable);
    }

    /**
     * @see de.willuhn.jameica.gui.dialogs.AbstractDialog#getData()
     */
    @Override
    protected abstract P getData() throws Exception;

}
