/*******************************************************************************
 * Copyright 2018 fmCreation
 *
 * Licensed under the EUPL, Version 1.1 or - as soon they
 * will be approved by the European Commission - subsequent
 * versions of the EUPL (the "Licence");
 * You may not use this work except in compliance with the
 * Licence.
 * You may obtain a copy of the Licence at:
 *
 *    https://progs.frankmuenster.de/eupl_v1-2_en/
 *
 * Unless required by applicable law or agreed to in
 * writing, software distributed under the Licence is
 * distributed on an "AS IS" basis,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
 * express or implied.
 * See the Licence for the specific language governing
 * permissions and limitations under the Licence.
 ******************************************************************************/

package de.frankmuenster.jameica.depot.wertpapierorder; // NOPMD 

import java.util.Date;

/**
 * Interface das ein Order-Objekt beschreibt.
 *
 * @author Frank Mnster
 */
@SuppressWarnings("PMD.LongVariable")
public interface Order {

    /**
     * @return additionalCosts
     */
    double getAdditionalCosts();

    /**
     * @return additionalCostsInMainCurrency
     */
    double getAdditionalCostsInMainCurrency();

    /**
     * @return additionalCostsMainCurrency
     */
    String getAdditionalCostsCurrency();

    /**
     * @return comment
     */
    String getComment();

    /**
     * @return name
     */
    String getName();

    /**
     * @return orderDate
     */
    Date getOrderDate();

    /**
     * @return orderPrice
     */
    double getOrderPrice();

    /**
     * @return orderPriceInMainCurrency
     */
    double getOrderPriceInMainCurrency();

    /**
     * @return orderPriceTotal
     */
    double getOrderPriceTotal();

    /**
     * @return orderVolume
     */
    double getOrderVolume();

    /**
     * @return symbol
     */
    String getSymbol();

    /**
     * @param additionalCosts
     *            das zu setzende Objekt additionalCosts
     */
    void setAdditionalCosts(double additionalCosts);

    /**
     * @param additionalCostsInMainCurrency
     *            das zu setzende Objekt additionalCostsInMainCurrency
     */
    void setAdditionalCostsInMainCurrency(double additionalCostsInMainCurrency);

    /**
     * @param additionalCostsMainCurrency
     *            das zu setzende Objekt additionalCostsMainCurrency
     */
    void setAdditionalCostsCurrency(String additionalCostsMainCurrency);

    /**
     * @param comment
     *            das zu setzende Objekt comment
     */
    void setComment(String comment);

    /**
     * @param name
     *            das zu setzende Objekt name
     */
    void setName(String name);

    /**
     * @param date
     *            das zu setzende Objekt orderDate
     */
    void setOrderDate(Date date);

    /**
     * @param orderPrice
     *            das zu setzende Objekt orderPrice
     */
    void setOrderPrice(double orderPrice);

    /**
     * @param orderPriceInMainCurrency
     *            das zu setzende Objekt orderPriceInMainCurrency
     */
    void setOrderPriceInMainCurrency(double orderPriceInMainCurrency);

    /**
     * @param orderPriceTotal
     *            das zu setzende Objekt orderPriceTotal
     */
    void setOrderPriceTotal(double orderPriceTotal);

    /**
     * @param orderVolume
     *            das zu setzende Objekt orderVolume
     */
    void setOrderVolume(double orderVolume);

    /**
     * @param symbol
     *            das zu setzende Objekt symbol
     */
    void setSymbol(String symbol);

}
